com.impinj.stp

## Interface StpApi.UserMemoryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.UserMemory, StpApi.UserMemory.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.UserMemoryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getData()` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `com.google.protobuf.ByteString` | `getMask()` DEPRECATED
    `int` | `getWordCountInv()` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `int` | `getWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
    `boolean` | `hasData()` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `boolean` | `hasMask()` DEPRECATED
    `boolean` | `hasWordCountInv()` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `boolean` | `hasWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasData

          boolean hasData()

      data length must be a multiple of 16-bits, used in Encode and Verify modes

    - #### getData

          com.google.protobuf.ByteString getData()

      data length must be a multiple of 16-bits, used in Encode and Verify modes

    - #### hasMask

          boolean hasMask()

      DEPRECATED

    - #### getMask

          com.google.protobuf.ByteString getMask()

      DEPRECATED

    - #### hasWordOffset

          boolean hasWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - #### getWordOffset

          int getWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - #### hasWordCountInv

          boolean hasWordCountInv()

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.

    - #### getWordCountInv

          int getWordCountInv()

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.